# Interface methods for submodule: HistogramToRunLengthFeaturesFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: HistogramToRunLengthFeaturesFilter
class HistogramToRunLengthFeaturesFilterProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInput(self, histogram) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def GetShortRunEmphasis(self) -> float:
		""""""
		...

	def GetShortRunEmphasisOutput(self):
		""""""
		...

	def GetLongRunEmphasis(self) -> float:
		""""""
		...

	def GetLongRunEmphasisOutput(self):
		""""""
		...

	def GetGreyLevelNonuniformity(self) -> float:
		""""""
		...

	def GetGreyLevelNonuniformityOutput(self):
		""""""
		...

	def GetRunLengthNonuniformity(self) -> float:
		""""""
		...

	def GetRunLengthNonuniformityOutput(self):
		""""""
		...

	def GetLowGreyLevelRunEmphasis(self) -> float:
		""""""
		...

	def GetLowGreyLevelRunEmphasisOutput(self):
		""""""
		...

	def GetHighGreyLevelRunEmphasis(self) -> float:
		""""""
		...

	def GetHighGreyLevelRunEmphasisOutput(self):
		""""""
		...

	def GetShortRunLowGreyLevelEmphasis(self) -> float:
		""""""
		...

	def GetShortRunLowGreyLevelEmphasisOutput(self):
		""""""
		...

	def GetShortRunHighGreyLevelEmphasis(self) -> float:
		""""""
		...

	def GetShortRunHighGreyLevelEmphasisOutput(self):
		""""""
		...

	def GetLongRunLowGreyLevelEmphasis(self) -> float:
		""""""
		...

	def GetLongRunLowGreyLevelEmphasisOutput(self):
		""""""
		...

	def GetLongRunHighGreyLevelEmphasis(self) -> float:
		""""""
		...

	def GetLongRunHighGreyLevelEmphasisOutput(self):
		""""""
		...

	def GetTotalNumberOfRuns(self) -> int:
		""""""
		...

	def GetFeature(self, feature) -> float:
		""""""
		...

